%___________________________________________________________________%
%  integrated cuckoo search optimizer source codes version 1.0      %
%                                                                   %
%  Developed in MATLAB R2011a                                       %
%                                                                   %
%  Author and programmer: Xiangbo Qi                                %
%                                                                   %
%         e-Mail: drqixiangbo@gmail.com                             %
%                 ustcdragon@syu.edu.cn                             %
%                                                                   %
%                                                                   %
%                                                                   %
%   Main paper: Xiangbo Qi etal.                                    %
%              An integrated cuckoo search optimizer for single     %
%              and multi-objective optimization problems            %
%                                                                   %
%___________________________________________________________________%
function [ result ] = func_levyMod( nestPop,Xmax,Xmin,alphaVal)
[N,D] = size(nestPop) ;
beta = 1.5 ;
alpha=alphaVal;
sigma_u = (gamma(1+beta)*sin(pi*beta/2)/(beta*gamma((1+beta)/2)*2^((beta-1)/2)))^(1/beta) ;
sigma_v = 1 ;
u = normrnd(0,sigma_u,N,D) ;
v = normrnd(0,sigma_v,N,D) ;
step = u./(abs(v).^(1/beta)) ;
nestPop = nestPop+alpha.*step ;
nestPop(find(nestPop>Xmax)) = Xmax ; 
nestPop(find(nestPop<Xmin)) = Xmin ;
result = nestPop ; 
end