%___________________________________________________________________%
%  integrated cuckoo search optimizer source codes version 1.0      %
%                                                                   %
%  Developed in MATLAB R2011a                                       %
%                                                                   %
%  Author and programmer: Xiangbo Qi                                %
%                                                                   %
%         e-Mail: drqixiangbo@gmail.com                             %
%                 ustcdragon@syu.edu.cn                             %
%                                                                   %
%                                                                   %
%                                                                   %
%   Main paper: Xiangbo Qi etal.                                    %
%              An integrated cuckoo search optimizer for single     %
%              and multi-objective optimization problems            %
%                                                                   %
%___________________________________________________________________%
clear
clear global
clc
ProblemStruct=struct(...
'PopSize',50, ...
'Maxeva',100000, ...
'Run', 2, ...
'FunctionName','Sphere', ...
'Dim',20, ...
'Ld',-5.12, ...
'Ud',5.12, ...
'Limit',100, ...
'ratio',0.6, ...
'scale',0.5, ...
'a',0.9, ...
'b',0.2, ...
'CR',0.1, ...
'F',0.1, ...
'Func_num',1, ...
'minValue',0,....
'k',1.5 ...
)
GlobalMins1=func_ICSO(ProblemStruct);
strName=strcat(ProblemStruct.FunctionName,'MeanICSO =%e StdICSO=%e\n');
fprintf(strName,mean(GlobalMins1(:,end)),std(GlobalMins1(:,end)));
fprintf('MinICSO=%e MaxICSO=%e\n\n',min(GlobalMins1(:,end)),max(GlobalMins1(:,end)));

